Subject: Ticket Assigned - My Account
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Sat, 03 Apr 2021 13:01:16 +0000

Hi Krishan Singh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  My Account I cannot login to my account.I dont get an email from ye to allow me to reset the password.

Now had to check out as a guest and my mobile number looks wrong on the order.Its 055 55 63211.

My Shukran ac I cannot use it should be linked to the account 

1800 0001 4392 4332

Karen Ryan Mc Namara 
055 55 63211 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2345673